<?php
/**
 * 募捐活动审核完成
 * $Id: donations_examine_result.php,v 1.1 2020/2/28 11:18:46 wanggb Exp $
 * @author lixq
 * @package manager.public_html
 */

// 底层包含
require_once("manager_include.inc");

// 登录检查
require_once("check_login.inc");

// 权限检查
if (!checkAuthority("1")) {
  // エラー表示
  $layout_pages = array();
  $layout_pages["left"] = "menu.inc";
  $layout_pages["right"] = "error.inc";
  $message = "权限不足，请联系系统管理员。";
  require_once(MANAGER_TEMPLATE_DIR_PATH . "/layout/leftmenu_layout.inc");
  exit;
}

// 参数取得
$id = ParamUtil::getRequestNumber("id");
$status = ParamUtil::getRequestString("status");

$donations_event_dat = DonationsEventDat::getById($id);
if ($donations_event_dat == null) {
  // エラー表示
  $message = "对象不存在.";
  $layout_pages = array();
  $layout_pages["left"] = "menu.inc";
  $layout_pages["right"] = "error.inc";
  require_once(MANAGER_TEMPLATE_DIR_PATH . "/layout/leftmenu_layout.inc");
  exit;
}


// 更新数据库
$donations_event_dat->status = $status;
$donations_event_dat->auditor_id = $_account->id;
$donations_event_dat->auditor_name = $_account->name;
$donations_event_dat->save();

// 页面表示
$layout_pages = array();
$layout_pages["left"] = "menu.inc";
$layout_pages["right"] = "donations_examine_result.inc";
$layout_pages["menu_clicked"] = "3-5";
require_once(MANAGER_TEMPLATE_DIR_PATH . "/layout/leftmenu_layout.inc");
exit;